Page 1 of 1

Raspbian can't compile v15

Posted: Mon 20 May, 2019 2:48 am
by leilei
Did the usual ./configure and make and ran into this

Code: Select all

rtc_tc8521.c: In function ‘tc8521_get’:
rtc_tc8521.c:221:1: error: insn does not satisfy its constraints:
 }
 ^
(insn 274 80 272 2 (parallel [
            (set (reg:SI 10 r10 [221])
                (truncate:SI (lshiftrt:DI (mult:DI (sign_extend:DI (reg:SI 12 ip [orig:149 _63 ] [149]))
                            (sign_extend:DI (reg:SI 8 r8 [203])))
                        (const_int 32 [0x20]))))
            (clobber (scratch:SI))
        ]) rtc_tc8521.c:159 58 {*smulsi3_highpart_v6}
     (nil))
rtc_tc8521.c:221:1: internal compiler error: in extract_constrain_insn, at recog.c:2190
Please submit a full bug report,
gcc (Raspbian 6.3.0-18+rpi1+deb9u1) 6.3.0 20170516

Re: Raspbian can't compile v15

Posted: Mon 20 May, 2019 7:35 am
by SarahWalker
Not sure what I can suggest for that. Try a newer GCC?

Re: Raspbian can't compile v15

Posted: Tue 21 May, 2019 12:20 am
by leilei
Unfortunately that's the latest choice I have through the Raspbian distro. I could try older GCCs at least probably as there's gcc 4.4-4.9 and 5 packages.


EDIT: Installing gcc-4.9 and editing src/makefile to point to that allowed it to successfully compile and run :shock:

Re: Raspbian can't compile v15

Posted: Tue 21 May, 2019 5:08 am
by Zup
A Raspberry is a fairly slow device... what about cross-compiling from a PC to a Raspberry?

Re: Raspbian can't compile v15

Posted: Wed 22 May, 2019 2:56 pm
by omarsis81
leilei wrote:
Tue 21 May, 2019 12:20 am
EDIT: Installing gcc-4.9 and editing src/makefile to point to that allowed it to successfully compile and run :shock:
What Rasperry Pi model are you using? Can you please tell us what is the best CPU/Mhz PCem can run at 100%?

Re: Raspbian can't compile v15

Posted: Wed 22 May, 2019 3:09 pm
by SarahWalker
On a Pi3 I can run Doom 2 at 486/25, but most things are happier at 486/16. The A53 is not a fast cpu.

Re: Raspbian can't compile v15

Posted: Mon 24 Jun, 2019 1:35 pm
by omarsis81
SarahWalker wrote:
Wed 22 May, 2019 3:09 pm
On a Pi3 I can run Doom 2 at 486/25, but most things are happier at 486/16. The A53 is not a fast cpu.
Raspberry Pi 4 Released today!
https://www.raspberrypi.org/products/ra ... 4-model-b/
Now with an A-72 processor

By the way, if I would like to have PCem's executable for Raspbian or the OS you tested it... is there any official v15 release? Because I don't see any for download

Re: Raspbian can't compile v15

Posted: Mon 24 Jun, 2019 7:34 pm
by leilei
I've compiled from the windows release's sources. I don't like sharing binaries and I recommend compiling it yourself (apart from that gcc version fumble... it's easy!!!)

Also i'm expecting the RPI4 to do 486DX40. Being VERY optimistic here... hopefully the VCVI's driver doesn't bottleneck as hard.

Re: Raspbian can't compile v15

Posted: Fri 02 Aug, 2019 9:13 am
by Model70
I would add to the request to make a PCEm release for Raspbian publically available as an official release. For me PS/2 hardware is aging and a fully solid state substitute (Pi) would be fantastic (even if speed limited to 486/25). For those of us who know DOS thoroughly but have no experience with Linux/Raspbian, someone doing a step by step "up and running" tutorial would also be great.

Re: Raspbian can't compile v15

Posted: Sat 03 Aug, 2019 11:05 pm
by ruben_balea
I didn't have any major trouble to compile PCem, the worst part was to build wxWidgets, it took a lot of time because I had to use a single thread to keep the my Pi cool.
That's because I'm using a Pi 3 B+ with the official touchscreen and its corresponding case without active cooling, using all cores to compile anything rises the temperature over 70 ºC in a few minutes.
I copied a working machine with Windows ME installed from my PC and it seems to run at 100% emulating a Pentium 75, but that's while idling ;) otherwise it falls to 15~20%

pi_wme_screenshot.png
pi_wme_screenshot.png (72.65 KiB) Viewed 4704 times